#!/bin/sh
#
# cat and sort an EPS3
#
# 27Apr2012 - Manually create hg_11co via:
# awk '$5 ~ /48039|48071|48157|48167|48201|48291|48339|48473|48199|48245|48185/' afs.tx_osd.bcl06d_4pols > afs.tx_osd.bcl06d_4pols.hg_11co

 base=fy20a_b12it_grown
 subd=fy20a_b12it

#for yymmdd in \
# 050803
#do

#yy=`echo $yymmdd | cut -c1,2`
#mm=`echo $yymmdd | cut -c3,4`
#dd=`echo $yymmdd | cut -c5,6`

#case $mm in
# 05) month=may; Month=May;;
# 06) month=jun; Month=Jun;;
# 07) month=jul; Month=Jul;;
# 08) month=aug; Month=Aug;;
# 09) month=sep; Month=Sep;;
#esac

#echo "yymmdd  yy  mm  dd  month  Month"
#echo $yymmdd $yy $mm $dd $month $Month

 out_path=/ei/point/rpo_eps3/afs/tx_osd
 afs_path=/ei/point/rpo_eps3/afs/tx_osd/$subd/no_zeros 

# bcl06f.mSI_mHF_day 31Jan2013 - OSD avg day minus complete SI and HRVOC flares -
#                           afs.osd_minus_SI_n_flares_for_15Aug2006_episode_RPOlcp, MKJ 02Nov2012.
# bcl12a.mard 28Feb2013 - afs.osd_2012_all_pols_RPOlcp.v1 - 2012 June made from 2011 v1a STARS extract, MKJ 28Feb2013
# bcl12a.mard 15May2013 - /ei/point/TX/2012/model/afs.osd_2011_all_pols_RPOlcp.v2 STARS 2011 v2a extract, MKJ 22Apr2013
# fy18a_gro_from_2011 21June2013 - /ei/point/TX/2018/model/afs.osd_recs_to_grow_by_control_pack, MKJ 20Jun2013
# fy18b_gro_from_2011 15Aug2013 - /ei/point/TX/2018/model/afs.osd_recs_to_grow_by_control_pack_v2, MKJ 14Aug2013
# fy18c_grown 12Sep2013 - /ei/point/TX/2018/model/afs.osd_no_controls_grown_to_2018.RPOlcp, MKJ 9Sep2013
# fy18d_grown 10Oct2013 - More CO in /ei/point/TX/2018/model/afs.osd_no_controls_grown_to_2018.RPOlcp, MKJ 30Sep2013
# fy18e_grown 19Dec2013 - /ei/point/TX/2018/model/afs.osd_no_controls_grown_to_2018.RPOlcp_v2, MKJ 9Dec2013; cs00c
# fy18f_grown 03Feb2014 - /ei/point/TX/2018/model/afs.osd_no_controls_grown_to_2018.RPOlcp_v4, MKJ 31Jan2014
# fy18g_grown 28Mar2014 - STARS 2012_v1a afs.osd_no_controls_grown_to_2018.RPOlcp_v6, MKJ 21Mar2014 - NOT CAMx'ed
# fy18g_grown 05May2014 - STARS 2012_v1a afs.osd_no_controls_grown_to_2018.RPOlcp_v7, MKJ 29Apr2014
# fy18g_grown 12May2014 - STARS 2012_v3a afs.osd_no_controls_grown_to_2018.RPOlcp_v7, MKJ 12May2014
# fy18g_grown 29May2014 - STARS 2012_v4a afs.osd_no_controls_grown_to_2018.RPOlcp_v7, MKJ 28May2014
# fy18g_grown 05Jun2014 - STARS 2012_v4a afs.osd_no_controls_grown_to_2018.RPOlcp_v7, MKJ 05Jun2014; kiln consent decree
# fy18h_grown 16Jun2014 - Oak Grove fix, afs.osd_no_controls_grown_to_2018.RPOlcp_v8, MKJ 16Jun2014
# fy18i_grown 02Apr2015 - 4MO_2018v2, /ei/point/TX/2x13/model/afs.osd_no_controls_grown_to_2018.RPOlcp_v9, MKJ 24Mar2015
# fy17a_grown 19May2015 - 2017_futurecase, afs.osd_no_controls_grown_to_2017.RPOlcp_v10, MKJ 15May2015
# fy17b_grown 28Apr2016 - afs.osd_no_controls_grown_to_2017.RPOlcp_v11, MKJ 22Mar2016
# fy17c_grown 27Sep2016 - afs.osd_no_controls_grown_to_2017.RPOlcp_v12, MKJ 26Sep2016
# fy17d_grown 18Nov2016 - fy2017_d shifted decimal coord fix - afs.osd_no_controls_grown_to_2017.RPOlcp_v13, MKJ 16Nov2016
# fy23a_grown 27Jun2017 -/ei/point/TX/2023/model/afs.osd_uncontrolled_2023_growth_recs, MKJ 27Jun2017
# fy23b_grown 13Sep2017 - scc fix /ei/point/TX/2023/model/afs.osd_uncontrolled_2023_growth_recs_v2, MKJ 13Sep2017
# fy20a_grown 16Jul2018 - /ei/point/TX/2020/model/afs.osd_uncontrolled_2020_growth_recs, MKJ 6Jul2018
#             24Oct2018 - /ei/point/TX/2020/model/afs.osd_uncontrolled_2020_growth_recs, MKJ 8Oct2018
# fy20b_grown 3Jan2019 - /ei/point/TX/trial_run/output_files/afs.osd_uncontrolled_2020_growth_recs_trial, MKJ 13Dec2018
# fy20c_grown 28Feb2019 - /ei/point/TX/trial_run/output_files/afs.osd_uncontrolled_2020_growth_recs_trial_v2, KW 28Feb2019
# fy20a_b12it_grown 16Jul2019 - FY2020_B12_IT afs.osd_uncontrolled_2020_growth_recs_b12, KW 16Jul2019
#

 afs_file1=$afs_path/afs.osd_uncontrolled_2020_growth_recs_b12_nozeros

 ls -l $afs_file1

 afs_file=afs.tx_osd.$base

 rm -f $afs_file.sort
 rm -f $out_path/$afs_file.hgb_8co
 rm -f $out_path/$afs_file.dfw_10co
 rm -f $out_path/$afs_file.no_dfw_10co
 rm -f $out_path/$afs_file.no_h_d_18co

#grep " S  ${yymmdd}.. ${yymmdd}..  " $afs_file1 > tmp.$yymmdd


 echo
 echo "start sorting"
 echo

##sort  $afs_file1 -t ! -b -k 1.12,1.16 -k 1.40,1.49 -k 1.50,1.59 -k 1.60,1.69 -k 1.29,1.38 -k 1.176,1.180 > $afs_file.sort
 # below is new linux sort for eps3
  sort  $afs_file1 -t ! -b -k 1.12,1.16 -k 1.40,1.49 -k 1.51,1.60 -k 1.62,1.71 -k 1.29,1.38 -k 1.176,1.180 -o $afs_file.sort1

 echo
 echo "finished sort"
 echo

 echo
 echo "start 8co grep"
 echo
#grep -E " AC 48039 | AC 48071 | AC 48157 | AC 48167 | AC 48201 | AC 48291 | AC 48339 | AC 48473 " $afs_file.sort > $out_path/$afs_file.hgb_8co
 awk '$5 ~ /48039|48071|48157|48167|48201|48291|48339|48473/' $afs_file.sort1 > $out_path/$afs_file.hgb_8co

 echo
 echo "start 10co  grep"
 echo
 awk '$5 ~ /48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort1 > $out_path/$afs_file.dfw_10co

 #echo
 #echo "start no10co  grep"
 #echo
 #awk '$5 !~ /48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort1 > $out_path/$afs_file.no_dfw_10co

 echo
 echo "start no18co  grep"
 echo
 awk '$5 !~ /48039|48071|48157|48167|48201|48291|48339|48473|48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort1 > $out_path/$afs_file.no_h_d_18co

 echo
 echo "finished greps"
 echo

 wc -l $afs_file1
 wc -l $afs_file.sort1

 wc -l $out_path/$afs_file.dfw_10co $out_path/$afs_file.hgb_8co $out_path/$afs_file.no_h_d_18co
 echo 
 #wc -l $out_path/$afs_file.no_dfw_10co $out_path/$afs_file.dfw_10co
 
 mv $afs_file.sort1 $afs_file


#done
exit

#cat $afs_file1 tmp.$yymmdd > $afs_file

##sort -o $afs_file -t +0.12-0.16 +0.40-0.44 +0.45-0.48 +0.50-0.52 +0.29-0.38 +0.156-0.160 $afs_file.sort
##sort  $afs_file  -b -k 5.1,5.5 -k 9.1,9.5 -k 10.1,10.5 -k 11.1,11.3 -k 8.1,8.10 -k 29.1,29.5 >  $afs_file.sort
