#!/bin/sh
#
# cat and sort an EPS3
#

 base=fy20a_b12it_HECT
 subd=fy20a_b12it

 out_path=/ei/point/rpo_eps3/afs/tx_osd
 afs_path=/ei/point/rpo_eps3/afs/tx_osd/$subd/no_zeros

#  fy18b_mHMECT c.14jul2008 (marvin file c.11jul2008)
#afs_file1=$afs_path/afs.2018_HECT_HarrisCo_2006_basis_all_pts
#               c.21jul2008 (marvin file c.21jul2008)
#               c.22jul2008 (marvin file c.22jul2008)
#afs_file1=$afs_path/afs.2018_HECT_HarrisCo_2006_basis_all_pts_v2
#               c.01aug2008 (marvin file c.01aug2008) - NO CHANGE v2 to v3 - perfect
#               c.27aug2008 (marvin file c.25aug2008) - still v3 - still SAME perfect (nozeros confirmed)
#               c.11sep2008 (marvin file c.03sep2008) - still v3 - still SAME perfect (nozeros confirmed)
#afs_file1=$afs_path/afs.2018_HECT_HarrisCo_2006_basis_all_pts_v3
# fy18c_075HECT c02feb2009 Marvin files c30jan2009
#afs_file1=$afs_path/afs.2018_HECT_HarrisCo_2006_basis_all_pts_sensitivity
# fy18d_075HECT c06apr2009 Marvin files c06apr2009
#afs_file1=$afs_path/afs.2018_HECT_HarrisCo_2006_basis_all_pts_sensitivity_v2
# fy18e_075HECT c08apr2009 Marvin files c08apr2009 (no zeros confirmed)
#afs_file1=$afs_path/afs.2018_HECT_HarrisCo_2006_basis_all_pts_sensitivity_v3
# fy18f_075HECT c03jun2009 Marvin files c03jun2009 (no zeros confirmed)
#afs_file1=$afs_path/afs.2018_HECT_HarrisCo_2006_basis_all_pts_0.75sens_v8
# fy18g_HECT c09dec2009 Marvin files c09dec2009 (no zeros confirmed)
# afs_file1=$afs_path/afs.2018_HECT_HarrisCo_2006_basis_all_pts_old_HECT_allocs_v1
# fy12a_HECT c15Jul2010 DFW Marvin file c13Jul2010 (no zeros)
#       /ei/point/DFW/2012/model/no_zeros/afs.2012_HECT_HarrisCo_2008_basis_all_pts_v1_nozeros
# fy18a_HECT   25June2013 /ei/point/TX/2018/model/afs.2018_HECT_HarrisCo_2011_basis_all_pts &
#                    /ei/point/stars/2011/data/emscvt_inputs/prof.emscvt.2011_v2a_w_HECT.pt, MKJ 24June2013
# fy18b_HECT75 12Sep2013 /ei/point/TX/2018/model/afs.2018_0.75HECT_HarrisCo_2011_basis_all_pts &
#                    /ei/point/stars/2011/data/emscvt_inputs/prof.emscvt.2011_v2a_w_0.75HECT.pt, MKJ 10Sep2013
# fy18c_HECT   21Jan2014 /ei/point/TX/2018/model/afs.2018_HECT_cap_n_trade_HarrisCo_2011_basis_all_pts_v2 &
#                /ei/point/stars/2011/data/emscvt_inputs/prof.emscvt.2011_v2a_w_HECT_cap_n_trade.pt, MKJ 17Jan2014
# fy18d_HECT 28Mar2014 STARS 2012_v1a afs.2018_HECT_cap_n_trade_HarrisCo_2012_basis_all_pts_v3 MKJ 19Mar2014 &
#                      prof.emscvt.2012_v1a_w_HECT_cap_n_trade.pt MKJ 19Mar2014 & xref.voc.eps3f.stars_2012_v1a.pt 18Feb2014
# fy18d_HECT 12May2014 STARS 2012_v3a afs.2018_HECT_cap_n_trade_HarrisCo_2012_basis_all_pts_v3 MKJ 09May2014 &
#                      prof.emscvt.2012_v3a_w_HECT_cap_n_trade.pt 09May2014 & xref.voc.eps3f.stars_2012_v3a.pt 08May2014
# fy18d_HECT 29May2014 STARS 2012_v4a afs.2018_HECT_cap_n_trade_HarrisCo_2012_basis_all_pts_v3 MKJ 28May2014 &
#                      prof.emscvt.2012_v4a_w_HECT_cap_n_trade.pt 28May2014 & xref.voc.eps3f.stars_2012_v4a.pt MKJ 23May2014
# fy17a_HECT 19May2015 afs.2017_HECT_cap_n_trade_HarrisCo_2012_basis_all_pts, MKJ 8May2015
# fy17b_HECT 28Apr2016 afs.2017_HECT_cap_n_trade_HarrisCo_2013_basis_all_pts, MKJ 8Mar2016
# fy17b_HECT 09Jun2016 afs.2017_HECT_cap_n_trade_HarrisCo_2014_basis_all_pts_v2, MKJ 27May2016
# fy17c_HECT 27Sep2016 afs.2017_HECT_cap_n_trade_HarrisCo_2014_basis_all_pts_v4, MKJ 26Sep2016
# fy17d_HECT 18Nov2016 fy2017_d shifted decimal coord fix - afs.2017_HECT_cap_n_trade_HarrisCo_2014_basis_all_pts_v5, MKJ 16Nov2016
# fy23a_HECT 27Jun2017 afs.2023_HECT_cap_n_trade_HarrisCo_2015_basis_all_pts, MKJ 27Jun2017
# fy23b_HECT 13Sep2017 scc fix afs.2023_HECT_cap_n_trade_HarrisCo_2015_basis_all_pts_v2, MKJ 13Sep2017
# fy20a_HECT 18Jul2018 Bump-up SIP 2020_futurecase - afs.2020_HECT_ozone_season_HarrisCo_2016_basis, MKJ 21Jun2018
# fy20a_HECT 18Jul2018 Bump-up SIP 2020_2Qprelim - afs.2020_HECT_cap_n_trade_HarrisCo_2016_basis_all_pts, MKJ 6Sep2018
# fy20a_HECT_hc 24Oct2018 afs.2020_HECT_w_HARD_CAP_HarrisCo_2016_basis_all_pts, MKJ 8Oct2018
# fy20b_HECT_hc 3Jan2019 afs.2020_HECT_w_HARD_CAP_HarrisCo_2016_basis_trial, MKJ 11Dec2019
# fy20c_HECT_hc 28Feb2019 FY2020_v1 afs.2020_HECT_w_HARD_CAP_HarrisCo_2016_basis_trial_v2, KW 1Mar2019
# fy20a_b12it 16Jul2019 FY2020_B12_IT afs.2020_HECT_cap_n_trade_HarrisCo_2012_basis_all_pts, KW 15Jul19

  afs_file1=$afs_path/afs.2020_HECT_cap_n_trade_HarrisCo_2012_basis_all_pts_nozeros

 ls -l $afs_file1

 rm -f $afs_file.sort
 rm -f $out_path/$afs_file.hgb_8co
 rm -f $out_path/$afs_file.no_hgb_8co

#grep " S  ${yymmdd}.. ${yymmdd}..  " $afs_file1 > tmp.$yymmdd

 afs_file=afs.tx_osd.$base

 echo
 echo "afs_file: "  $afs_file
 echo
 #ls -l $afs_file

 echo
 echo "start sorting"
 echo

##sort  $afs_file -t ! -b -k 1.12,1.16 -k 1.40,1.44 -k 1.45,1.48 -k 1.50,1.52 -k 1.29,1.38 -k 1.156,1.160 > $afs_file.sort
# below is new linux sort for eps3
 sort -b -k 1.12,1.16 -k 1.40,1.49 -k 1.51,1.60 -k 1.62,1.71 -k 1.29,1.38 -k 1.176,1.180 -o $afs_file.sort  $afs_file1

 echo
 echo "finished sort"
 echo
 echo "start 8co  grep"
 echo
 awk '$5 ~ /48039|48071|48157|48167|48201|48291|48339|48473/' $afs_file.sort > $out_path/$afs_file.hgb_8co

 #echo
 #echo "start no8co  grep"
 #echo
 #awk '$5 !~ /48039|48071|48157|48167|48201|48291|48339|48473/' $afs_file.sort > $out_path/$afs_file.no_hgb_8co

 echo
 echo "start 10co  grep"
 echo
 awk '$5 ~ /48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort > $out_path/$afs_file.dfw_10co

 #echo
 #echo "start no10co  grep"
 #echo
 #awk '$5 !~ /48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort > $out_path/$afs_file.no_dfw_10co

 echo
 echo "start no18co  grep"
 echo
 awk '$5 !~ /48039|48071|48157|48167|48201|48291|48339|48473|48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort > $out_path/$afs_file.no_h_d_18co

 echo
 echo "finished greps"
 echo

 mv $afs_file.sort $out_path/$afs_file
 
 wc -l $afs_file1
 echo 
 wc -l $out_path/$afs_file.hgb_8co $out_path/$afs_file.dfw_10co $out_path/$afs_file.no_h_d_18co
  
if [ -s $out_path/$afs_file.dfw_10co ]
  then
        # do something as file has data
	echo "PROBLEM: $out_path/$afs_file.dfw_10co is not empty."
  else
        # do something as file is empty 
	echo "removed empty $afs_file.dfw_10co"; echo""
         rm $out_path/$afs_file.dfw_10co
 fi
 
if [ -s $out_path/$afs_file.no_h_d_18co ]
  then
        # do something as file has data
	echo "PROBLEM: $out_path/$afs_file.no_h_d_18co is not empty."
  else
        # do something as file is empty 
	echo "removed empty $afs_file.no_h_d_18co & extraneous $afs_file"; echo""
         rm $out_path/$afs_file.no_h_d_18co
         rm $out_path/$afs_file
	echo "files are ready for use:"
	 ls -l $out_path/$afs_file*
 fi

 exit


