#!/bin/sh
#
# cat and sort an EPS3
#

 base=fy20a_b12it_MECT
 subd=fy20a_b12it

 out_path=/ei/point/rpo_eps3/afs/tx_osd
 afs_path=/ei/point/rpo_eps3/afs/tx_osd/$subd/no_zeros

#  tx_osd_fy18a_MECT 25June2013 /ei/point/TX/2018/model/afs.osd_mect_2018_based_on_2011_RPOlcp, MKJ 24June2013, 84.1823 tpd NOx
#  tx_osd_fy18b_MECT 15Aug2013 /ei/point/TX/2018/model/afs.osd_mect_2018_based_on_2011_RPOlcp_v2, MKJ 23July2013, 79.517 tpd NOx
#  tx_osd_fy18c_MECT 10Oct2013 /ei/point/TX/2018/model/afs.osd_mect_2018_based_on_2011_RPOlcp_v3, MKJ 18Sep2013, 76.3766 tpd NOx
# tx_osd_fy18c_MECT 18Dec2013 /ei/point/TX/2018/model/afs.osd_mect_2018_based_on_2011_RPOlcp_v3, MKJ 18Dec2013, 78.554 tpd NOx
# tx_osd_fy18d_MECT 04Feb2014 /ei/point/TX/2018/model/afs.osd_mect_2018_based_on_2011_RPOlcp_v4, MKJ 31Jan2014, 76.7553 tpd NOx
# tx_osd_fy18e_MECT 28Mar2014 STARS 2012_v1a basis for afs.osd_mect_2018_based_on_2012_RPOlcp_v6, MKJ 19Mar2014, 76.7553 tpd NOx - NOT CAMxed
# tx_osd_fy18e_MECT 05May2014 STARS 2012_v1a afs.osd_mect_2018_based_on_2012_RPOlcp_v7, MKJ 02May2014, 79.5492 tpd NOx
# tx_osd_fy18e_MECT 12May2014 STARS 2012_v3a afs.osd_mect_2018_based_on_2012_RPOlcp_v7, MKJ 08May2014, 79.5492 tpd NOx
# tx_osd_fy18e_MECT 29May2014 STARS 2012_v4a afs.osd_mect_2018_based_on_2012_RPOlcp_v8, MKJ 28May2014, 79.5492 tpd NOx
# tx_osd_fy18f_MECT 03Apr2015 4MO_2018v2 afs.osd_mect_2018_based_on_2012_RPOlcp_v9, MKJ 24Mar2015, 72.2092 tpd NOx
# tx_osd_fy17a_MECT 20May2015 2017 afs.osd_mect_2017_based_on_2012_RPOlcp, MKJ 11May2015, 77.6479tpd NOx
# tx_osd_fy17b_MECT 27Apr2016 2017b afs.osd_mect_2017_based_on_2014_RPOlcp, MKJ 3Mar2016, 77.6479tpd  NOx (fy17.c0k)
# tx_osd_fy17c_MECT 31May2016 2017b afs.osd_mect_2017_based_on_2014_RPOlcp.v3, MKJ 27May2016, 83.8387 tpd  NOx
# tx_osd_fy17d_MECT 27Sep2016 2017c afs.osd_mect_2017_based_on_2014_RPOlcp.v4, MKJ 27Sep2016, 82.9695 tpd NOx
# tx_osd_fy23a_MECT 27Jun2017 fy2023a GNX, afs.osd_mect_2023_with_2013_ERTAC_EGUs, MKJ 27Jun2017, 91.9128 tpd NOx
# tx_osd_fy23b_MECT 13Sep2017 scc fix fy2023b GNS, afs.osd_mect_2023_with_2013_ERTAC_EGUs_v2, MKJ 27Jun2017
# tx_osd_fy20a_MECT 19Jul2018 Bump-up SIP 2020_futurecase, afs.osd_mect_2020_with_2020_ERTAC_EGUs, MKJ 19Jul2018
# tx_osd_fy20a_MECT 3Oct2018 Bump-up SIP 2020_2Qprelim, afs.osd_mect_2020_with_growth_cap, MKJ 7Sep2018
# tx_osd_fy20a_MECT_hc 24Oct2018 Bump-up SIP 2020_2Qprelim, afs.osd_mect_2020_with_HARD_CAP, MKJ 8Oct2018
# fy20b_MECT_hc 3Jan2019  2020_complete, afs.osd_mect_2020_with_HARD_CAP_trial, MKJ 12Dec2018
# fy20c_MECT_hc 28Feb2019 FY2020_v1, afs.osd_mect_2020_with_HARD_CAP_trial_v2, KW 28Feb2019
# fy20a_b12it 16Jul2019 FY2020_B12_IT, afs.osd_mect_FY2020_HARD_CAP, KW 15Jul2019

  afs_file1=$afs_path/afs.osd_mect_FY2020_HARD_CAP_nozeros

 ls -l $afs_file1

 rm -f $afs_file.sort
 rm -f $out_path/$afs_file.hgb_8co
 rm -f $out_path/$afs_file.no_hgb_8co

#grep " S  ${yymmdd}.. ${yymmdd}..  " $afs_file1 > tmp.$yymmdd

 afs_file=afs.tx_osd.$base

 echo
 echo "afs_file: "  $afs_file
 echo
 #ls -l $afs_file

 echo
 echo "start sorting"
 echo

##sort  $afs_file -t ! -b -k 1.12,1.16 -k 1.40,1.44 -k 1.45,1.48 -k 1.50,1.52 -k 1.29,1.38 -k 1.156,1.160 > $afs_file.sort
# below is new linux sort for eps3
 sort -b -k 1.12,1.16 -k 1.40,1.49 -k 1.51,1.60 -k 1.62,1.71 -k 1.29,1.38 -k 1.176,1.180 -o $afs_file.sort  $afs_file1

 echo
 echo "finished sort"
 echo
 echo "start 8co  grep"
 echo
 awk '$5 ~ /48039|48071|48157|48167|48201|48291|48339|48473/' $afs_file.sort > $out_path/$afs_file.hgb_8co

 #echo
 #echo "start no8co  grep"
 #echo
 #awk '$5 !~ /48039|48071|48157|48167|48201|48291|48339|48473/' $afs_file.sort > $out_path/$afs_file.no_hgb_8co

 echo
 echo "start 10co  grep"
 echo
 awk '$5 ~ /48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort > $out_path/$afs_file.dfw_10co

 #echo
 #echo "start no10co  grep"
 #echo
 #awk '$5 !~ /48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort > $out_path/$afs_file.no_dfw_10co

 echo
 echo "start no18co  grep"
 echo
 awk '$5 !~ /48039|48071|48157|48167|48201|48291|48339|48473|48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort > $out_path/$afs_file.no_h_d_18co

 echo
 echo "finished greps"
 echo

 mv $afs_file.sort $out_path/$afs_file
 
 wc -l $afs_file1
 echo 
 wc -l $out_path/$afs_file.hgb_8co $out_path/$afs_file.dfw_10co $out_path/$afs_file.no_h_d_18co
 
  
if [ -s $out_path/$afs_file.no_h_d_18co ]
  then
        # do something as file has data
	echo "PROBLEM: $out_path/$afs_file.no_h_d_18co is not empty."
  else
        # do something as file is empty 
	echo "removed empty $afs_file.no_h_d_18co, $afs_file.dfw_10co,and extraneous $afs_file"; echo""
         rm $out_path/$afs_file.no_h_d_18co
         rm $out_path/$afs_file.dfw_10co
	 rm $out_path/$afs_file
	echo "file is ready for use:"
	 ls -l $out_path/$afs_file.*
 fi
 
exit


