#!/bin/sh
#
# cat and sort an EPS3
#
# 27Apr2012 - Manually create hg_11co via:
# awk '$5 ~ /48039|48071|48157|48167|48201|48291|48339|48473|48199|48245|48185/' afs.tx_osd.bcl06d_4pols > afs.tx_osd.bcl06d_4pols.hg_11co

 base=fy20a_b12it_growth_w_bank
 subd=fy20a_b12it

#for yymmdd in \
# 050803
#do

#yy=`echo $yymmdd | cut -c1,2`
#mm=`echo $yymmdd | cut -c3,4`
#dd=`echo $yymmdd | cut -c5,6`

#case $mm in
# 05) month=may; Month=May;;
# 06) month=jun; Month=Jun;;
# 07) month=jul; Month=Jul;;
# 08) month=aug; Month=Aug;;
# 09) month=sep; Month=Sep;;
#esac

#echo "yymmdd  yy  mm  dd  month  Month"
#echo $yymmdd $yy $mm $dd $month $Month

 out_path=/ei/point/rpo_eps3/afs/tx_osd
 afs_path=/ei/point/rpo_eps3/afs/tx_osd/$subd/no_zeros 

# fy18a_growth_w_bank 24June2013 - /ei/point/TX/2018/model/afs.osd_hgb_dfw_growth_with_bank, MKJ 24Jun2013
# fy18b_growth_w_bank 15Aug2013 - afs.osd_hgb_dfw_growth_with_bank_v2, MKJ 14Jun2013
# fy18c_growth_w_bank 10Oct2013 - afs.osd_hgb_dfw_growth_with_bank_v5, MKJ 30Sep2013
# fy18d_growth_w_bank 21Nov2013 - afs.osd_hgb_dfw_growth_with_bank_v6, MKJ 20Nov2013
# fy18d_growth_w_bank 04Dec2013 - afs.osd_hgb_dfw_growth_with_bank_v7, MKJ 04Dec2013
# fy18d_growth_w_bank 18Dec2013 - afs.osd_hgb_dfw_growth_with_bank_v8, MKJ 10Dec2013
# fy18e_growth_w_bank 04Feb2014 - afs.osd_hgb_dfw_growth_with_bank_v10, MKJ 31Jan2014
# fy18f_growth_w_bank 28Mar2014 - STARS 2012_v1a basis for afs.osd_hgb_dfw_growth_with_bank_v11, MKJ 20Mar2014 -NOT CAMxed
# fy18f_growth_w_bank 05May2014 - STARS 2012_v1a afs.osd_hgb_dfw_growth_with_bank_v12, MKJ 29Apr2014
# fy18f_growth_w_bank 12May2014 - STARS 2012_v3a afs.osd_hgb_dfw_growth_with_bank_v12, MKJ 09May2014
# fy18f_growth_w_bank 29May2014 - STARS 2012_v4a afs.osd_hgb_dfw_growth_with_bank_v12, MKJ 28May2014
# fy18f_growth_w_bank 05Jun2014 - STARS 2012_v4a afs.osd_hgb_dfw_growth_with_bank_v12, MKJ 05Jun2014, kiln consent decree
# fy18g_growth_w_bank 02Apr2015 - 4MO_2018v2 /ei/point/TX/2x13/model/afs.osd_hgb_dfw_growth_with_bank_v13, MKJ 24Mar2015
# fy17a_growth_w_bank 20May2015 - 2017 /ei/point/TX/2017/model/afs.osd_hgb_dfw_growth_with_bank_v14, MKJ 15May2015
# fy17b_growth_w_bank 29Jun2015 - 2017 /ei/point/TX/2017/model/afs.osd_hgb_dfw_growth_with_bank_v15, MKJ 26Jun2015
# fy17c_growth_w_bank 28Apr2016 - 2017 afs.osd_hgb_dfw_growth_with_bank_v16, MKJ 22Mar2016 (fy17.c0k)
# fy17d_growth_w_bank 31May2016 - 2017 afs.osd_hgb_dfw_growth_with_bank_v17, MKJ 27May2016
# fy17e_growth_w_bank 27Sep2016 - 2017 afs.osd_hgb_dfw_growth_with_bank_v18, MKJ 27Sep2016
# fy17f_growth_w_bank 18Nov2016 - fy2017_d shifted decimal coord fix - afs.osd_hgb_dfw_growth_with_bank_v19, MKJ 16Nov2016
# fy23a_growth_w_bank 27Jun2017 - fy2023a GNS, afs.DFW_HGB_growth_with_bank_credits, MKJ 26Jun2017
# fy23a_growth_w_bank 123Sep2017 - scc fix fy2023b GNS, afs.DFW_HGB_growth_with_bank_credits_v2 MKJ 13Sep2017
# fy20a_growth_w_bank 18Jul2018 - Bump-up SIP fy2020a, afs.DFW_HGB_2020_growth_with_bank_credits, MKJ 18Jul2018
# fy20a_growth_w_bank_hc 24Oct2018 - Hard-cap, afs.DFW_HGB_2020_growth_with_bank_credits_HARD_CAP, MKJ 8Oct2018
# fy20b_growth_w_bank_hc 3Jan2019 - 2020_complete Hard-cap, afs.DFW_HGB_2020_growth_with_bank_credits_GROWTH_TO_BANK.trial, MKJ 13Dec2018
#                        9Jan2019 - afs.DFW_HGB_2020_growth_allowed_with_ERC_DERC_bank_credits, MKJ 8Jan2019
# fy20c_growth_w_bank_hc 4Mar2019 - FY2020_v1 afs.DFW_HGB_2020_growth_allowed_with_ERC_DERC_bank_credits_v2, KW 04Mar2019
# fy20a_b12it_growth_w_bank 16Jul2019 - FY2020_B12_IT afs.DFW_HGB_growth_with_bank_credits_b12, KW 18Jul2019
#

 afs_file1=$afs_path/afs.DFW_HGB_growth_with_bank_credits_b12_nozeros

 ls -l $afs_file1

 afs_file=afs.tx_osd.$base

 rm -f $afs_file.sort
 rm -f $out_path/$afs_file.hgb_8co
 rm -f $out_path/$afs_file.dfw_10co
 rm -f $out_path/$afs_file.no_dfw_10co
 rm -f $out_path/$afs_file.no_h_d_18co

#grep " S  ${yymmdd}.. ${yymmdd}..  " $afs_file1 > tmp.$yymmdd


 echo
 echo "start sorting"
 echo

##sort  $afs_file1 -t ! -b -k 1.12,1.16 -k 1.40,1.49 -k 1.50,1.59 -k 1.60,1.69 -k 1.29,1.38 -k 1.176,1.180 > $afs_file.sort
 # below is new linux sort for eps3
  sort  $afs_file1 -t ! -b -k 1.12,1.16 -k 1.40,1.49 -k 1.51,1.60 -k 1.62,1.71 -k 1.29,1.38 -k 1.176,1.180 -o $afs_file.sort1

 echo
 echo "finished sort"
 echo

 echo
 echo "start 8co grep"
 echo
#grep -E " AC 48039 | AC 48071 | AC 48157 | AC 48167 | AC 48201 | AC 48291 | AC 48339 | AC 48473 " $afs_file.sort > $out_path/$afs_file.hgb_8co
 awk '$5 ~ /48039|48071|48157|48167|48201|48291|48339|48473/' $afs_file.sort1 > $out_path/$afs_file.hgb_8co

 echo
 echo "start 10co  grep"
 echo
 awk '$5 ~ /48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort1 > $out_path/$afs_file.dfw_10co

 #echo
 #echo "start no10co  grep"
 #echo
 #awk '$5 !~ /48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort1 > $out_path/$afs_file.no_dfw_10co

 echo
 echo "start no18co  grep"
 echo
 awk '$5 !~ /48039|48071|48157|48167|48201|48291|48339|48473|48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort1 > $out_path/$afs_file.no_h_d_18co

 echo
 echo "finished greps"
 echo

 wc -l $afs_file1
 wc -l $afs_file.sort1

 wc -l $out_path/$afs_file.dfw_10co $out_path/$afs_file.hgb_8co $out_path/$afs_file.no_h_d_18co
 echo 
 #wc -l $out_path/$afs_file.no_dfw_10co $out_path/$afs_file.dfw_10co
 
 mv $afs_file.sort1 $afs_file


if [ -s $out_path/$afs_file.no_h_d_18co ]
  then
        # do something as file has data
	echo "PROBLEM: $out_path/$afs_file.no_h_d_18co is not empty."
  else
        # do something as file is empty 
	echo "removed empty $afs_file.no_h_d_18co and extraneous $afs_file"; echo""
         rm $out_path/$afs_file.no_h_d_18co
	 rm $out_path/$afs_file
	echo "files are ready for use:"
	 ls -l $out_path/$afs_file.*
 fi
 


#done
exit

