#!/bin/sh
#
# cat and sort an EPS3
#
# 27Apr2012 - Manually create hg_11co via:
# awk '$5 ~ /48039|48071|48157|48167|48201|48291|48339|48473|48199|48245|48185/' afs.tx_osd.bcl06d_4pols > afs.tx_osd.bcl06d_4pols.hg_11co

 base=fy20a_b12it_midlokilns
 subd=fy20a_b12it

#for yymmdd in \
# 050803
#do

#yy=`echo $yymmdd | cut -c1,2`
#mm=`echo $yymmdd | cut -c3,4`
#dd=`echo $yymmdd | cut -c5,6`

#case $mm in
# 05) month=may; Month=May;;
# 06) month=jun; Month=Jun;;
# 07) month=jul; Month=Jul;;
# 08) month=aug; Month=Aug;;
# 09) month=sep; Month=Sep;;
#esac

#echo "yymmdd  yy  mm  dd  month  Month"
#echo $yymmdd $yy $mm $dd $month $Month

 out_path=/ei/point/rpo_eps3/afs/tx_osd
 afs_path=/ei/point/rpo_eps3/afs/tx_osd/$subd/no_zeros

# tx_osd_fy18a_midlokilns       - 15Aug2013 /ei/point/TX/2018/model/afs.midlokilns_2011_baseline_to_be_capped_v1, MKJ 14Aug2013
# tx_osd_fy18b_midlokilns_grown - 12Sep2013 afs.midlokilns_2018_nox_emissions.RPOlcp, MKJ 30Aug2013, SAS grown instead of cntlem
# tx_osd_fy18b_midlokilns_grown - 05Jun2014 afs.midlokilns_2018_nox_emissions.RPOlcp, MKJ 05Jun2014, kiln consent decree
# tx_osd_fy17a_midlokilns_grown - 20May2015 afs.midlokilns_2017_nox_emissions.RPOlcp, MKJ 15May2015, kiln consent decree; Same as 2018 file
# tx_osd_fy17b_midlokilns       - 28Apr2016 afs.midlokilns_2017_nox_emissions.RPOlcp, MKJ 11Mar2016, 14.2 tpd
# tx_osd_fy17c_midlokilns       - 27Sep2016 afs.midlokilns_2017_nox_emissions.RPOlcp.v2, MKJ 26Sep2016, 17.6 tpd
# tx_osd_fy20a_midlokilns       - 17Jul2018 afs.midlothian_kiln_2020_agreed_orders, MKJ 6July2018, 10.0356 tpd
# tx_osd_fy20a_midlokilns_hc    - 24Oct2018 afs.midlothian_kiln_2020_HARD_CAP, MKJ 8Oct2018, 17.6 tpd
# fy20b_midlokilns_hc  - 3Jan2019  afs.midlothian_kiln_2020_HARD_CAP_trial, MKJ 13Dec2018, 17.6 tpd
# fy20c_midlokilns_hc - 28Feb2019  afs.midlothian_kiln_2020_HARD_CAP_trial_v2, KW 28Feb2019, 17.6 tpd
# fy20c_midlokilnsv3 - 18Mar2019  afs.midlothian_kiln_2020_HARD_CAP_trial_v3, KW 28Feb2019, 17.18 tpd
# fy20c_midlokilnsv4 - 01Apr2019  afs.midlothian_kiln_2020_HARD_CAP_trial_v4, KW 01Apr2019, 15.12 tpd
# fy20a_b12it - 16Jul2019 afs.midlothian_kiln_2020_agreed_orders_b12, KW 16Jul2019, 15.12 tpd

 afs_file1=$afs_path/afs.midlothian_kiln_2020_agreed_orders_b12_nozeros

 ls -l $afs_file1

 afs_file=afs.tx_osd.$base

 rm -f $afs_file.sort
 rm -f $out_path/$afs_file.hgb_8co
 rm -f $out_path/$afs_file.dfw_10co
 rm -f $out_path/$afs_file.no_dfw_10co
 rm -f $out_path/$afs_file.no_h_d_18co

#grep " S  ${yymmdd}.. ${yymmdd}..  " $afs_file1 > tmp.$yymmdd


 echo
 echo "start sorting"
 echo

##sort  $afs_file1 -t ! -b -k 1.12,1.16 -k 1.40,1.49 -k 1.50,1.59 -k 1.60,1.69 -k 1.29,1.38 -k 1.176,1.180 > $afs_file.sort
 # below is new linux sort for eps3
  sort  $afs_file1 -t ! -b -k 1.12,1.16 -k 1.40,1.49 -k 1.51,1.60 -k 1.62,1.71 -k 1.29,1.38 -k 1.176,1.180 -o $afs_file.sort1

 echo
 echo "finished sort"
 echo

 echo
 echo "start 8co grep"
 echo
#grep -E " AC 48039 | AC 48071 | AC 48157 | AC 48167 | AC 48201 | AC 48291 | AC 48339 | AC 48473 " $afs_file.sort > $out_path/$afs_file.hgb_8co
 awk '$5 ~ /48039|48071|48157|48167|48201|48291|48339|48473/' $afs_file.sort1 > $out_path/$afs_file.hgb_8co

 echo
 echo "start 10co  grep"
 echo
 awk '$5 ~ /48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort1 > $out_path/$afs_file.dfw_10co

 #echo
 #echo "start no10co  grep"
 #echo
 #awk '$5 !~ /48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort1 > $out_path/$afs_file.no_dfw_10co

 echo
 echo "start no18co  grep"
 echo
 awk '$5 !~ /48039|48071|48157|48167|48201|48291|48339|48473|48085|48113|48121|48139|48251|48257|48367|48397|48439|48497/' $afs_file.sort1 > $out_path/$afs_file.no_h_d_18co

 echo
 echo "finished greps"
 echo

 wc -l $afs_file1
 wc -l $afs_file.sort1

 wc -l $out_path/$afs_file.dfw_10co $out_path/$afs_file.hgb_8co $out_path/$afs_file.no_h_d_18co
 echo 
 #wc -l $out_path/$afs_file.no_dfw_10co $out_path/$afs_file.dfw_10co
 
 mv $afs_file.sort1 $afs_file


if [ -s $out_path/$afs_file.no_h_d_18co ]
  then
        # do something as file has data
	echo "PROBLEM: $out_path/$afs_file.no_h_d_18co is not empty."
  else
        # do something as file is empty 
	echo "removed empty $afs_file.no_h_d_18co"; echo ""
         rm $out_path/$afs_file.no_h_d_18co
 fi

if [ -s $out_path/$afs_file.hgb_8co ]
  then
        # do something as file has data
	echo "PROBLEM: $out_path/$afs_file.hgb_8co is not empty."
  else
        # do something as file is empty 
	echo "removed empty $afs_file.hgb_8co"; echo ""
         rm $out_path/$afs_file.hgb_8co
 fi
 
 
rm $out_path/$afs_file
echo "file is ready for use:"
ls -l $out_path/$afs_file.*

#done
exit

#cat $afs_file1 tmp.$yymmdd > $afs_file

##sort -o $afs_file -t +0.12-0.16 +0.40-0.44 +0.45-0.48 +0.50-0.52 +0.29-0.38 +0.156-0.160 $afs_file.sort
##sort  $afs_file  -b -k 5.1,5.5 -k 9.1,9.5 -k 10.1,10.5 -k 11.1,11.3 -k 8.1,8.10 -k 29.1,29.5 >  $afs_file.sort
